RagTime5ParserInternal::DocInfoFieldParser Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
RagTime5ParserInternal::DocInfoFieldParser Struct Reference

Internal: the helper to read doc info parse. More...

Inheritance diagram for RagTime5ParserInternal::DocInfoFieldParser:

## Public Member Functions
| DocInfoFieldParser (RagTime5Parser &parser)
| constructor More...
virtual bool | parseField (RagTime5StructManager::Field &field, RagTime5Zone &zone, int, libmwaw::DebugStream &f)
| parse a field More...
Public Member Functions inherited from RagTime5StructManager::FieldParser
| FieldParser (std::string const &zoneName)
| constructor More...
virtual | ~FieldParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...
virtual bool | parseHeaderField (Field &field, RagTime5Zone &, int, libmwaw::DebugStream &f)
| parse a header field More...

## Protected Attributes
RagTime5Parser & | m_mainParser
| the main parser More...
Protected Attributes inherited from RagTime5StructManager::FieldParser
std::string | m_name
| the field name More...

## Additional Inherited Members
Public Attributes inherited from RagTime5StructManager::FieldParser
bool | m_regroupFields
| a flag use to decide if we output one debug message by field or not More...

## Detailed Description

Internal: the helper to read doc info parse.

## Constructor & Destructor Documentation

RagTime5ParserInternal::DocInfoFieldParser::DocInfoFieldParser | ( | RagTime5Parser & | parser | ) |
| inline

constructor

## Member Function Documentation

virtual bool RagTime5ParserInternal::DocInfoFieldParser::parseField | ( | RagTime5StructManager::Field & | field,
|  | RagTime5Zone & | zone,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinevirtual

parse a field

Reimplemented from RagTime5StructManager::FieldParser.

## Member Data Documentation

RagTime5Parser& RagTime5ParserInternal::DocInfoFieldParser::m_mainParser
| protected

the main parser

Referenced by parseField().

The documentation for this struct was generated from the following file:

- RagTime5Parser.cxx